This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 462316 - some web-page rendering is broken
some web-page rendering is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Stransky
desktop-bugs@redhat.com
: i18n
Depends On: 461722
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 06:50 EDT by A S Alam
Modified: 2013-07-02 20:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 07:33:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of non-reproducing this bug (164.53 KB, image/png)
2008-09-19 13:16 EDT, Matěj Cepl
no flags Details
screenshot in hindi-logged in kvm session (87.21 KB, image/png)
2008-09-19 13:29 EDT, Matěj Cepl
no flags Details
Screenshot for Firefox issue (114.70 KB, image/png)
2008-10-22 02:12 EDT, A S Alam
no flags Details
screenshot of reproducing this bug (99.18 KB, image/png)
2008-10-24 05:10 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 455647 None None None Never

  None (edit)
Description A S Alam 2008-09-15 06:50:48 EDT
+++ This bug was initially created as a clone of Bug #461722 +++

+++ This bug was initially created as a clone of Bug #460865 +++

Created an attachment (id=315503)
Firefox broken Rendering

Description of problem: 
while using firefox with certain web-page, English text is broken and shown Character in locale presently system has. I have Punjabi (pa_IN) default and Firefox is showing character in Punjabi with those locale. Screenshot with Yellow line "showing" Punjabi Unicode Characters, which are "NOT Junk". Those Website has only English contents

I have following website with problem:
http://bugzilla.redhat.com/
http://docs.fedoraproject.org/release-notes/
(not it is not limited to those only, other website also have problem, while not all)

While http://www.bbc.co.uk/ is working fine

Version-Release number of selected component (if applicable):
firefox-3.0.1-1.fc10.i386
pango-1.21.5-1.fc10.i386
cairo-1.7.4-1.fc10.i386


How reproducible:
90%

Steps to Reproduce:
1. Login to Punjabi Locale (pa_IN)
2. start firefox
3. open website http://docs.fedoraproject.org/release-notes/
  
Actual results:
All content should be in English as per website language

Expected results:
some characters in few lines are shown in non-english locale

Additional info:
1) if you copy-paste content in Text Editor, then it is in English.
2) other language (hi-IN) also tested and have same problem exist

--- Additional comment from aalam@redhat.com on 2008-09-02 03:21:53 EDT ---

Created an attachment (id=315504)
Fedora docs page

--- Additional comment from aalam@redhat.com on 2008-09-02 03:22:28 EDT ---

Created an attachment (id=315505)
fedora docs page in Hindi (hi_IN) locale

--- Additional comment from aalam@redhat.com on 2008-09-02 03:23:09 EDT ---

Note: all those websites working fine (without problem) in English locale (en_US)

--- Additional comment from tfu@redhat.com on 2008-09-09 23:06:56 EDT ---

requested by Jens Petersen (#27995)

--------------

RHEL5.3
firefox-3.0.2-2.el5
xulrunner-1.9.0.2-4.el5
yelp-2.16.0-21.el5

--- Additional comment from llim@redhat.com on 2008-09-12 02:39:41 EDT ---

Please confirm if there's any issue with en_US locale.

--- Additional comment from aalam@redhat.com on 2008-09-12 02:54:36 EDT ---

there is no such issue if locale is en_US

--- Additional comment from mcepl@redhat.com on 2008-09-12 05:08:16 EDT ---

It is weird, cannot reproduce neither with LANG={zh_CN,cs_CZ,hi_IN} firefox. Probably I haven't installed proper non-European fonts, which packages should I install to reproduce this?

--- Additional comment from aalam@redhat.com on 2008-09-12 05:42:02 EDT ---

Package is fonts-hindi 
and Please try to login with Hindi Environment for Gnome Desktop (firefox interface will be Hindi hi_IN)

--- Additional comment from pnemade@redhat.com on 2008-09-15 05:43:47 EDT ---

I confirm that I successfully reproduced this bug on EL5.2 system. I got rendering broken for following pages
http://yahoo.com
https://bugzilla.redhat.com/query.cgi

Bug I got this bug reproduced when I updated exisitng firefox-3.0-0.beta5.6.el5 to firefox-3.0-1.el5

Difference between above two firefox build sources for directory "mozilla/gfx/thebes" can be found here http://lacrosse.corp.redhat.com/~pnemade/i18n/diffto30

I am not upstream firefox developer so I am not able to understand changes but what I see is that support for 4 languages got added. I have already reported bugs for that in upstream
https://bugzilla.mozilla.org/show_bug.cgi?id=383418
https://bugzilla.mozilla.org/show_bug.cgi?id=381967



NOTE: Clone for RHEL4
firefox-3.0.2-2.el4
Comment 1 Matěj Cepl 2008-09-19 13:16:32 EDT
Created attachment 317212 [details]
screenshot of non-reproducing this bug

Guys, help me to reproduce this, please? I just cannot reproduce this. I tried even logging with hi_IN in login, all gedit and other Gnome programs are in Hindi (I suppose), but http://docs.fedoraproject.org/release-notes/ still looks good for me. I have installed fonts-hindi and yet I cannot reproduce it -- see the attached screenshot.
Comment 2 Matěj Cepl 2008-09-19 13:29:37 EDT
Created attachment 317215 [details]
screenshot in hindi-logged in kvm session
Comment 3 Matěj Cepl 2008-09-19 13:32:39 EDT
Sorry, this is actually made with RHEL5
Comment 4 Matěj Cepl 2008-10-21 18:53:52 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 A S Alam 2008-10-22 02:12:45 EDT
Created attachment 321116 [details]
Screenshot for Firefox issue

it is RHEl4 with 
Firefox-3.0.2-3.el4
pango-1.6.0.9
Comment 6 Vivian Bian 2008-10-22 07:37:28 EDT
The bug could be reproduced like this on my machine:

RHEl4.7 x86_64 with 
Firefox-3.0.2-3.el4
pango-1.6.0.9

Steps to Reproduce:
1. Login to Punjabi Locale (pa_IN)
2. start firefox
3. open website http://docs.fedoraproject.org/release-notes/

Actual results:(The same as the expect results)
some characters in few lines are shown in non-english locale

Additional info:
1) if copy-paste content in gedit, then it is in English.
2) other language (hi-IN,Be_IN,Gujaraties) also tested and have same problem exist
Comment 7 Matěj Cepl 2008-10-23 19:21:29 EDT
fonts-hindi is not availble on RHEL-4

[root@localhost ~]# up2date -l|grep hindi
[root@localhost ~]# 

what should I use to have standard Hindi environment with fonts and everything<

THanks
Comment 8 Lawrence Lim 2008-10-23 22:03:56 EDT
not sure if it support group install, if it does, groupinstall hindi-support
if not, here's the package list.

<packagelist>
<packagereq type="default">iiimf-docs</packagereq>
<packagereq requires="xorg-x11" type="optional">iiimf-gnome-im-switcher</packagereq>
<packagereq requires="xorg-x11" type="optional">iiimf-gtk</packagereq>
<packagereq type="default">iiimf-le-unit</packagereq>
<packagereq type="default">iiimf-server</packagereq>
<packagereq requires="xorg-x11" type="optional">iiimf-x</packagereq>
<packagereq requires="kdelibs" type="optional">kde-i18n-Hindi</packagereq>
<packagereq type="default">ttfonts-hi</packagereq>
<packagelist>
Comment 9 Matěj Cepl 2008-10-24 05:10:38 EDT
Created attachment 321390 [details]
screenshot of reproducing this bug

OK, so apparently the key is to have installed '@Hindi Support' and then log in from gdm with Hindi language. Then hindi characters are all over the place.
Comment 10 Lawrence Lim 2008-10-24 12:55:54 EDT
Exactly. And if it helps, here's the Test Case for Hindi you could use so you can see how the rendering output should be once its fixed.

<http://focus.bne.redhat.com/I18N/IndicTC/lang/hi_IN/font/IndicFontTestCaseCodepoint-Hindi.html>
Comment 11 Matěj Cepl 2008-10-25 13:04:39 EDT
Actually, the explanation why I couldn't reproduce it before using ssh -Y was that there is apparently a bug in firefox scripts -- you have to run

export LANG=hi_IN.utf8 LC_ALL=hi_IN.utf8
firefox

to get Hindi FF.
Comment 12 RHEL Product and Program Management 2008-10-31 12:39:44 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 14 Martin Stransky 2009-02-05 07:33:36 EST
Should be fixed now by 3.0.6.

Note You need to log in before you can comment on or make changes to this bug.